For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Get a simulation

GET
https://api.reasoner.com/api/mindsim/simulations/:simulationId
GET
/api/mindsim/simulations/:simulationId
$curl https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000 \
> -H "Authorization: Bearer <token>"
1{
2 "simulation": {
3 "createdAt": "2025-01-01T00:00:00.000Z",
4 "digitalTwinId": "123e4567-e89b-12d3-a456-426614174004",
5 "id": "123e4567-e89b-12d3-a456-426614174000",
6 "mindAssessmentId": "123e4567-e89b-12d3-a456-426614174002",
7 "mindId": "123e4567-e89b-12d3-a456-426614174003",
8 "organizationId": "123e4567-e89b-12d3-a456-426614174005",
9 "sharedWithUsers": [
10 {
11 "id": "123e4567-e89b-12d3-a456-426614174006",
12 "name": "John Doe",
13 "email": "john.doe@example.com",
14 "imageUrl": "https://example.com/john-doe.jpg",
15 "createdAt": "2025-01-01T00:00:00.000Z"
16 }
17 ],
18 "title": "Simulation with John Doe",
19 "updatedAt": "2025-01-01T00:00:00.000Z",
20 "user": {
21 "id": "123e4567-e89b-12d3-a456-426614174006",
22 "name": "John Doe",
23 "email": "john.doe@example.com",
24 "imageUrl": "https://example.com/john-doe.jpg",
25 "createdAt": "2025-01-01T00:00:00.000Z"
26 },
27 "userId": "123e4567-e89b-12d3-a456-426614174001"
28 },
29 "messages": [
30 {
31 "id": "123e4567-e89b-12d3-a456-426614174006",
32 "userId": "123e4567-e89b-12d3-a456-426614174001",
33 "conversationId": "123e4567-e89b-12d3-a456-426614174000",
34 "role": "user",
35 "status": "completed",
36 "framework": "react",
37 "createdAt": "2025-01-01T00:00:00.000Z",
38 "updatedAt": "2025-01-01T00:00:00.000Z",
39 "startedAt": "2025-01-01T00:00:00.000Z",
40 "completedAt": "2025-01-01T00:00:00.000Z",
41 "version": "1.0.0",
42 "content": null,
43 "errors": null
44 }
45 ]
46}
Returns a simulation and its messages by ID
Was this page helpful?
Previous

Delete a simulation

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Path parameters

simulationIdstringRequired

Response

Successful response
simulationobject
messageslist of objects

Errors

403
Forbidden Error
404
Not Found Error